Package org.kapott.hbci.passport.rdhXfile

## Class HBCIAccount

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV
  - - org.kapott.hbci.passport.rdhXfile.HBCIAccount

    public class HBCIAccount
    extends TLV

### Nested Class Summary

Nested Classes
`static class` `HBCIAccount.BankData`
`static class` `HBCIAccount.UserKeys`

### Constructor Summary

Constructors
`HBCIAccount()`
`HBCIAccount​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBLZ()`
`java.lang.String` `getCountry()`
`java.lang.String` `getCustomerId()`
`java.lang.String` `getHost()`
`byte` `getKeyStatus()`
`long` `getSigId()`
`java.lang.String` `getSysId()`
`HBCIKey[]` `getUserEncKeys()`
`java.lang.String` `getUserId()`
`java.util.List<HBCIAccount.UserKeys>` `getUserKeys()`
`HBCIKey[]` `getUserSigKeys()`
`void` `setBLZ​(java.lang.String blz)`
`void` `setCountry​(java.lang.String country)`
`void` `setCustomerId​(java.lang.String customerid)`
`void` `setHost​(java.lang.String host)`
`void` `setKeyStatus​(byte keystatus)`
`void` `setSigId​(long sigid)`
`void` `setSysId​(java.lang.String sysid)`
`void` `setUserEncKeys​(HBCIKey[] keys)`
`void` `setUserId​(java.lang.String userid)`
`void` `setUserSigKeys​(HBCIKey[] keys)`
`java.lang.String` `toString()`
`void` `updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HBCIAccount

    public HBCIAccount()

#### HBCIAccount

    public HBCIAccount​(TLV tlv)

### Method Detail

#### getCountry

    public java.lang.String getCountry()

#### setCountry

    public void setCountry​(java.lang.String country)

#### getBLZ

    public java.lang.String getBLZ()

#### setBLZ

    public void setBLZ​(java.lang.String blz)

#### getUserId

    public java.lang.String getUserId()

#### setUserId

    public void setUserId​(java.lang.String userid)

#### getCustomerId

    public java.lang.String getCustomerId()

#### setCustomerId

    public void setCustomerId​(java.lang.String customerid)

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost​(java.lang.String host)

#### getSysId

    public java.lang.String getSysId()

#### setSysId

    public void setSysId​(java.lang.String sysid)

#### getSigId

    public long getSigId()

#### setSigId

    public void setSigId​(long sigid)

#### getKeyStatus

    public byte getKeyStatus()

#### setKeyStatus

    public void setKeyStatus​(byte keystatus)

#### getUserKeys

    public java.util.List<HBCIAccount.UserKeys> getUserKeys()

#### getUserSigKeys

    public HBCIKey[] getUserSigKeys()

#### setUserSigKeys

    public void setUserSigKeys​(HBCIKey[] keys)

#### getUserEncKeys

    public HBCIKey[] getUserEncKeys()

#### setUserEncKeys

    public void setUserEncKeys​(HBCIKey[] keys)

#### updateData

    public void updateData()

Overrides:
  `updateData` in class `TLV`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`